Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2024-04-06 12:12:30

0001 #!/bin/bash
0002 
0003 # Pass in name and status
0004 
0005 function die { echo $1: status $2 ;  exit $2; }
0006 
0007 function test_failure { 
0008     if [ "$2" != "90" ]
0009      then
0010        echo $1: status $2; exit $2;
0011     fi
0012 }
0013 
0014 LOCAL_TEST_DIR="${CMSSW_BASE}/src/FWCore/Framework/test"
0015 echo "running cmsRun testEarlyTerminationSignal_cfg.py"
0016 (cmsRun ${LOCAL_TEST_DIR}/testEarlyTerminationSignal_cfg.py 2>&1 | grep -q 'early termination of event: stream = 0 run = 1 lumi = 1 event = 10 : time = 50000001') || die "Early termination signal failed" $?
0017 
0018 echo "running cmsRun test_dependentPathsAndExceptions_cfg.py"
0019 (cmsRun ${LOCAL_TEST_DIR}/test_dependentPathsAndExceptions_cfg.py 2>&1 | grep -q "Intentional 'NotFound' exception for testing purposes") || die "dependent Paths and Exceptions failed" $?
0020 
0021 echo "running cmsRun test_dependentRunDataAndException_cfg.py"
0022 (cmsRun ${LOCAL_TEST_DIR}/test_dependentRunDataAndException_cfg.py 2>&1 | grep -q "Intentional 'NotFound' exception for testing purposes") || die "dependent Run data and Exceptions failed" $?
0023 
0024 echo "running cmsRun test_exceptionAtGlobalBeginRun_cfg.py"
0025 (cmsRun ${LOCAL_TEST_DIR}/test_exceptionAtGlobalBeginRun_cfg.py 2>&1 | grep "Another exception was caught while endJob was running") && die "test_exceptionAtGlobalBeginRun failed, should not be any endJob exceptions" 1
0026 
0027 echo "running cmsRun  test_exceptionInShortLumi_cfg.py"
0028 cmsRun ${LOCAL_TEST_DIR}/test_exceptionInShortLumi_cfg.py; test_failure "test_exceptionInShortLumi_cfg.py failed" $?